CHU(3)

SYNOPSIS
FUNCTION CHU (A, B, X)

NAME
chu - Compute the logarithmic confluent hypergeometric function.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C11

TYPE
SINGLE PRECISION (CHU-S, DCHU-D)

KEYWORDS
FNLIB, LOGARITHMIC CONFLUENT HYPERGEOMETRIC FUNCTION, SPECIAL FUNCTIONS

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
CHU computes the logarithmic confluent hypergeometric function, U(A,B,X). Input Parameters: A real B real X real and positive This routine is not valid when 1+A-B is close to zero if X is small.

REFERENCES
(NONE)

ROUTINES CALLED
EXPREL, GAMMA, GAMR, POCH, POCH1, R1MACH, R9CHU, XERMSG

REVISION HISTORY (YYMMDD)
770801 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900727 Added EXTERNAL statement. (WRB)